summarylogtreecommitdiffstats
path: root/borg-explorer.sh
diff options
context:
space:
mode:
authorzxp198210052024-02-21 23:43:32 +0800
committerzxp198210052024-02-21 23:43:32 +0800
commitbe0ddca7c3cd669692580f25d1d84f91ca81aee6 (patch)
treee24054b8e5599877d0a98d7c8fb4b7f172606b13 /borg-explorer.sh
parent10f8de6a519de43c437e1c95f3cdc208b4b5be62 (diff)
downloadaur-be0ddca7c3cd669692580f25d1d84f91ca81aee6.tar.gz
update to 0.0.9
Diffstat (limited to 'borg-explorer.sh')
-rw-r--r--borg-explorer.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/borg-explorer.sh b/borg-explorer.sh
index 0d20cddc70ca..f9ced1432cfc 100644
--- a/borg-explorer.sh
+++ b/borg-explorer.sh
@@ -1,14 +1,14 @@
#!/bin/sh
set -e
_APPDIR="/usr/lib/@appname@"
-_ASAR="${_APPDIR}/@appasar@"
+_RUNNAME="${_APPDIR}/@runname@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_ASAR}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
else
- exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file